<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [cacheUpgradeCost](./bitburner.hacknetserversformulas.cacheupgradecost.md)

## HacknetServersFormulas.cacheUpgradeCost() method

Calculate cost of upgrading hacknet server cache.

**Signature:**

```typescript
cacheUpgradeCost(startingCache: number, extraCache?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingCache | number | starting cache level |
|  extraCache | number | _(Optional)_ amount of levels of cache to purchase (defaults to 1) |

**Returns:**

number

The calculated cost.

